<link rel="import" href="../polymer/polymer-element.html">
<link rel="import" href="./fontawesome-styles.html">

<dom-module id="ug-boton">
  <template>
    <style include="fontawesome-styles"></style>
    <style>
      :host { display: block; }
      .shortcut_menu_nuevo { height: 120px; text-align:center; padding-bottom:10px; }
      .content-icono { padding-top: .8rem; }
      .shortcuts_nuevo .selec_Servicio {
        height:125px;
        text-decoration: none;
        color: white !important;
        display: block;
        overflow: hidden;
        padding-bottom: 8px;
        padding-top: 8px;
      }
      .shortcuts_nuevo .selec_Servicio:hover {
        text-decoration: none;
        color: white!important;
        opacity:0.9;
        font-size: 13px;
        border: 2px ridge; 
      }
      h3.subtitulo_nuevo{
        font-weight: normal;
        margin-top: 13px;
        color:white;
        text-align:center;
        font-family: 'Raleway', sans-serif!important;
      }
      .main-content { padding:10px; margin-bottom:0px; width: 142px; }
      .fa { font-size: 50px;}
    </style>
    
    <div class="main-content">
      <div class="shortcuts_nuevo shortcut_menu_nuevo">
        <a class="selec_Servicio" href="[[url]]" 
          style="background-color:[[color]];">
          <div class="content-icono">
            <i id="icono" class="fa fa-2x"></i>
          </div>
          <h3 class="subtitulo_nuevo">[[descripcion]]</h3>
        </a>
      </div>
    </div>
    
  </template>

  <script>
    /**
     * `ug-boton`
     * Boton para los paneles
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class UgBoton extends Polymer.Element {
      static get is() { return 'ug-boton'; }
      static get properties() {
        return {
          url: String,
          color: String,
          descripcion: String,
          icono: {
            type: String,
            observer: '_setIcon'
          }
        };
      }
      _setIcon() {
        this.$.icono.classList.add(this.icono);
      }
    }

    window.customElements.define(UgBoton.is, UgBoton);
  </script>
</dom-module>
